Page MenuHomeFreeBSD

editors/emacs-devel: Update to recent commit from the master branch
ClosedPublic

Authored by jrm on Apr 12 2017, 7:18 PM.
Tags
None
Referenced Files
F84113720: D10374.id27467.diff
Sun, May 19, 2:32 PM
F84106183: D10374.diff
Sun, May 19, 11:41 AM
Unknown Object (File)
Fri, May 3, 7:41 AM
Unknown Object (File)
Thu, Apr 25, 8:22 AM
Unknown Object (File)
Sun, Apr 21, 4:42 AM
Unknown Object (File)
Jan 30 2024, 11:11 PM
Unknown Object (File)
Dec 22 2023, 10:55 PM
Unknown Object (File)
Dec 21 2023, 9:41 AM
Subscribers

Details

Summary

Recent commits to the master branch:
https://github.com/emacs-mirror/emacs/commits/master75

Test Plan

portlint -C: INSTALL_ICON warnings that are taken care of with the X11 option
testport: OK (poudriere: 10.3-RELEASE-p10, i386, default options)
testport: OK (poudriere: 10.3-RELEASE-p10, amd64, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, i386, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, amd64, default options)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Looks good to me, and seems to build fine. Please proceed with commit.

Thanks!

This revision is now accepted and ready to land.Apr 13 2017, 9:28 PM
jrm edited edge metadata.

When running poudriere testport on a more recent commit, there were some
failures
(http://pkg.awarnach.mathstat.dal.ca/data/11amd64-default/2017-04-15_10h39m05s/logs/errors/emacs-devel-26.0.50.20170415,2.log)
that were fixed by adding MAKE_JOBS_UNSAFE=yes.

Ashish, are you OK with this change to include MAKE_JOBS_UNSAFE=yes and a
slightly newer commit that includes a few important fixes? This revision passes
all the same poudriere tests and I'm running it now and there have been no
immediate surprises.

This revision now requires review to proceed.Apr 15 2017, 4:38 PM

This one also looks good. Please proceed.

Thanks!

This revision is now accepted and ready to land.Apr 17 2017, 5:23 AM
This revision was automatically updated to reflect the committed changes.